1

I have been trying to upgrade EE 2.8.1 to 2.9.0 but the Update Wizard just loads for a very very long time and then gives a 404 error.

After trying this a couple of times I removed the “installer” directory. CP now says “2.9.0” at the bottom, but it also gives this warning:

Your ExpressionEngine installation’s version (2.8.1) is not consistent with the reported version (2.9.0). Please update your installation of ExpressionEngine again.

Has anyone else experienced this? How can I get the Update Wizard to finish completely or find out why it hangs?

  • Did you make a backup first? I would revert the backup and clear EE cache and your browser cache and try it again. It's possible that something screwy was going on with that. I've at least had issues with that. – Mark Busnelli Jr Aug 19 '14 at 20:39
1

First think I'd check is that the server meets EE's minimum server requirements:
https://ellislab.com/expressionengine/user-guide/installation/requirements.html

There is a server Compatibility Wizard you can download here:
https://ellislab.com/expressionengine/user-guide/installation/requirements.html#server-compatibility-wizard


If the server meets the requirements, I'd next run the installation in another browser that is not Chrome. Chrome seems to hold on to cache way too aggressively which may be the source of the issue.

| improve this answer | |
0

I was having the same problem and I just updated the app version in config.php and the warning went away. It's probably a result of restoring your previous config.php file without making this edit on line 14.

$config['app_version'] = "281";

change to

$config['app_version'] = "290";
| improve this answer | |
0

What add-ons you had when you tried this update? If you had Freeform you better take out this folder fro third party during the update and then simply add it back.

This can be said for any other add-ons you just need to double check you don't have anything that can cause this hanging.

Why you temporarily remove third party add-ons during the update. Right after wizard finishes - you can add them back.

In Any case by altering the config file version is working as well as long system files are updated and DB scripts are successful.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.